Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class PropertiesContentProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider<Properties>
          org.eclipse.emf.ecp.internal.ui.model.PropertiesContentProvider

All Implemented Interfaces:
  ECPObserver, ECPPropertiesObserver, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

    public class PropertiesContentProvider

extends StructuredContentProvider<Properties>
implements ECPPropertiesObserver

Author:
  Eike Stepper

Constructor Summary
`PropertiesContentProvider()` Constructor.

Method Summary
`Object[]` | `getElements(Object inputElement)`
`void` | `propertiesChanged(ECPProperties properties, Collection<Map.Entry<String,String>> oldProperties, Collection<Map.Entry<String,String>> newProperties)` This is called to indicate, that properties changed.

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider
`dispose, getInput, getViewer, inputChanged, refreshViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesContentProvider

    public PropertiesContentProvider()

  Constructor.

Method Detail

### getElements

    public Object[] getElements(Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### propertiesChanged

    public void propertiesChanged(ECPProperties properties,
                                  Collection<Map.Entry<String,String>> oldProperties,
                                  Collection<Map.Entry<String,String>> newProperties)

  This is called to indicate, that properties changed.

  Specified by:
    `propertiesChanged` in interface `ECPPropertiesObserver`
  Parameters:
    `properties` - the `ECPProperties` that are chnaged
    `oldProperties` - the properties before changing
    `newProperties` - the properties after changing

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.